<html>
    <head>
        <title>Pictrue Preview</title>
        <meta name="apple-mobile-web-app-capable" content="yes">
        <meta name="apple-mobile-web-app-status-bar-style" content="black-translucent" />
        <!-- 防止双击屏幕的时候页面放大问题 -->
        <meta name="viewport" content="width=device-width,initial-scale=1.0,user-scalable=no" />
        <!-- 隐藏地址栏 -->
        <meta name='apple-mobile-web-app-capable' content='yes' />
        <meta name='full-screen' content='true' />
        <meta name='x5-fullscreen' content='true' />
        <meta name='360-fullscreen' content='true' />
        <meta content="text/html; charset=utf-8" http-equiv="content-type" />
        <script src="/js/ajax.js"></script>
        <script src="/js/element.js"></script>
        <script src="/js/hotkey.js"></script>
        <script type="text/javascript" src="/js/qrcodejs/jquery.min.js"></script>
        <script type="text/javascript" src="/js/picturecarousel.js"></script>
        <link rel="stylesheet" href="/css/public.css">
        <style>
            *{margin:0rem; padding:0rem;}
            body{background:#000;}
            #hdiv>*{margin:0.05rem 10%;}
            #hdiv{
                width:100%;
                text-align:center;
                left:0;
                height: 0.3rem; 
                bottom: 0.05rem; 
                position: fixed; 
                margin-left: -0.55rem; 
                text-shadow: rgb(251, 251, 251) 1px 1px 1px; 
                color: rgb(51, 51, 51); 
                opacity: 0.6; 
                font-size: 0.24rem; cursor: pointer; z-index: 999;
            }
        </style>
    </head>
    <body>
        <div id="hdiv"> 
            <a id="haPlay">►</a>
            <a id="haFullscreen" >&#x25A1;</a>
            <a id="hadel" >X</a>
        </div>
        <script type="text/javascript">
            var sch = location.search;
            var f = decodeURIComponent(sch.replace(/.*[\?&]f=([^&]+).*/gi, '$1'));
            var page = decodeURIComponent(sch.replace(/.*[\?&]page=([^&]+).*/gi, '$1'));
            var idx = decodeURIComponent(sch.replace(/.*[\?&]idx=([^&]+).*/gi, '$1'));
            var sort = decodeURIComponent(sch.replace(/.*[\?&]sort=([^&]+).*/gi, '$1'));

            var pc = new PictureCarousel(f, page, idx, sort, document.body);
            if(/^\/LCK\-.*/gi.test(f)){ 
                pc.add(f);
                pc.show();
            }
            HotKey.add(37, function(){ pc.stop();pc.previous();}); // left
            HotKey.add(38, function(){ pc.stop();pc.previous();}); // top 
            HotKey.add(39, function(){ pc.stop();pc.next();}); // right 
            HotKey.add(40, function(){ pc.stop();pc.next();}); // down 
            HotKey.add(32, function(){ pc.stop();pc.autoplay();}); // space
            HotKey.add(46, function(){ hadel.click();}); // delete 
            HotKey.moveUp(function(){ pc.setEffect(0);pc.next(); });
            HotKey.moveDown(function(){ pc.setEffect(1);pc.previous(); });
            HotKey.moveLeft(function(){ hadel.click(); });

            var ptid=null;
            haPlay.onclick=function(){ pc.autoplay(); }
            haFullscreen.onclick=function(){ 
                pc.fullscreen(); 
                
            }
            hadel.onclick=function(){
                if(!confirm('are you sure delete?'))return;
                ajax({
                    url:'/index.php?act=delf&f='+encodeURIComponent(pc.url)
                    ,dataType:'json'
                    ,success : function(e){
                        if(e.errcode == 0){
                            pc.delete();
                        }
                        //pc.next();
                    }
                });
            }
            window.onmousemove=function(){ hdiv.style.display='block'; }
            window.onmouseout=function(){ 
                if(ptid)clearTimeout(ptid);
                ptid=setTimeout(function(){
                    hdiv.style.display='none'; 
                }, 3000);
            }
        </script>
    </body>
</html>
